// DlgConfig.cpp : implementation file
//

#include "stdafx.h"
#include "aspisnoop.h"
#include "DlgConfig.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgConfig dialog


CDlgConfig::CDlgConfig(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgConfig::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgConfig)
	m_cHost = 0;
	m_cID = 4;
	m_cLun = 0;
	//}}AFX_DATA_INIT
}


void CDlgConfig::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgConfig)
	DDX_Text(pDX, IDC_HOST, m_cHost);
	DDV_MinMaxByte(pDX, m_cHost, 0, 7);
	DDX_Text(pDX, IDC_ID, m_cID);
	DDV_MinMaxByte(pDX, m_cID, 0, 15);
	DDX_Text(pDX, IDC_LUN, m_cLun);
	DDV_MinMaxByte(pDX, m_cLun, 0, 127);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgConfig, CDialog)
	//{{AFX_MSG_MAP(CDlgConfig)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgConfig message handlers

void CDlgConfig::Setup (BYTE cHost,BYTE cID,BYTE cLun)
{
	m_cHost=cHost;
	m_cID=cID;
	m_cLun=cLun;
}

void CDlgConfig::Update (BYTE *pcHost,BYTE *pcID,BYTE *pcLun)
{
	*pcHost=m_cHost;
	*pcID=m_cID;
	*pcLun=m_cLun;
}
