// DeviceList.cpp : implementation file
//
#include "stdafx.h"
#include "DeviceList.h"

CDeviceList::CDeviceList ()
{
}

CDeviceList::~CDeviceList ()
{
	RemoveAll();
}

void CDeviceList::AddDevice (BYTE adapter_id,BYTE device_id,BYTE lun,BYTE cType,CString strType,CString strName)
{
	CASPIDevice *pDev;
	pDev=new CASPIDevice;
	pDev->m_cAdapter=adapter_id;
	pDev->m_cID=device_id;
	pDev->m_cLUN=lun;
	pDev->m_cType=cType;
	pDev->m_strName=strName.Left(24);
	pDev->m_strType=strType;
	AddTail (pDev);
}

CASPIDevice *CDeviceList::FindDevice (BYTE adapter_id,BYTE device_id,BYTE lun)
{
	POSITION pos;
	CASPIDevice *pDev;
	for (pos = GetHeadPosition(); pos != NULL; )
	{
		if ((pDev=(CASPIDevice *)GetAt (pos)) == NULL)
			return NULL;
		if (pDev->m_cAdapter==adapter_id &&
			pDev->m_cID==device_id &&
			pDev->m_cLUN==lun)
			return pDev;
	    GetNext(pos);
	}
	return NULL;
}

void CDeviceList::RemoveAll ()
{
	POSITION pos;
	CASPIDevice *pDev;
	for (pos = GetHeadPosition(); pos != NULL; )
	{
		if ((pDev=(CASPIDevice *)GetAt (pos)) != NULL)
			delete pDev;
	    GetNext(pos);
	}
	CObList::RemoveAll();
}
